Bug 641224 (CVE-2010-3689) - CVE-2010-3689 OpenOffice.org: soffice insecure LD_LIBRARY_PATH setting
Summary: CVE-2010-3689 OpenOffice.org: soffice insecure LD_LIBRARY_PATH setting
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3689
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 642184 642185 642200 642201 804532
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-08 04:58 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 12:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 13:09:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0182 normal SHIPPED_LIVE Important: openoffice.org security update 2011-01-28 13:02:13 UTC
Red Hat Product Errata RHSA-2011:0183 normal SHIPPED_LIVE Important: openoffice.org security and bug fix update 2011-01-28 15:24:30 UTC

Description Huzaifa S. Sidhpurwala 2010-10-08 04:58:24 UTC
Dmitri Gribenko discovered that the soffice script in the Openoffice.org package contained an insecure setting for the LD_LIBRARY_PATH, which could be abused by an attacker to execute arbitrary code.

The vulnerability is due to an insecure change to LD_LIBRARY_PATH, and
environment variable used by ld.so(8) to look for libraries in directories
other than the standard paths.  When there is an empty item in the
colon-separated list of directories in LD_LIBRARY_PATH, ld.so(8) treats it as a
'.' (current working directory).  If the given script is executed from a
directory where a local attacker could write files, there is a chance for
exploitation.

Currently in our soffice script we do...

LD_LIBRARY_PATH=$my_path${LD_LIBRARY_PATH+:$LD_LIBRARY_PATH}

while we should do...

LD_LIBRARY_PATH=$my_path${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}

so if someone currently does
export LD_LIBRARY_PATH=
then our LD_LIBRARY_PATH ends up as
LD_LIBRARY_PATH=/path:
which has an empty entry which effectively means
LD_LIBRARY_PATH=/path:.

Acknowledgements:

Red Hat would like to thank Dmitri Gribenko for reporting this issue.

Comment 4 Huzaifa S. Sidhpurwala 2011-01-27 03:52:06 UTC
Public via:
http://www.openoffice.org/security/cves/CVE-2010-3689.html

Comment 6 errata-xmlrpc 2011-01-28 13:02:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0182 https://rhn.redhat.com/errata/RHSA-2011-0182.html

Comment 7 errata-xmlrpc 2011-01-28 15:25:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0183 https://rhn.redhat.com/errata/RHSA-2011-0183.html


Note You need to log in before you can comment on or make changes to this bug.